Package com.xebialabs.xlrelease.utils

## Class FixedSizeMap<A,​B>

- java.lang.Object
- - com.xebialabs.xlrelease.utils.FixedSizeMap<A,​B>

-     public class FixedSizeMap<A,​B>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FixedSizeMap​(scala.collection.mutable.Map<A,​B> _entries, int _size)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(scala.Tuple2<A,​B> entry)` |
    `void` | `clear()` |
    `static <A,​B> FixedSizeMap<A,​B>` | `empty​(int size)` |
    `scala.collection.immutable.Map<A,​B>` | `entries()` |
    `scala.Option<B>` | `get​(A key)` |
    `boolean` | `isEmpty()` |
    `scala.collection.immutable.Set<A>` | `keySet()` |
    `int` | `maxSize()` |
    `boolean` | `nonEmpty()` |
    `scala.Option<B>` | `remove​(A key)` |
    `boolean` | `resize​(int newSize)` |
    `int` | `size()` |
    `boolean` | `update​(scala.Tuple2<A,​B> entry)` |
    `scala.collection.immutable.Seq<B>` | `values()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedSizeMap

          public FixedSizeMap​(scala.collection.mutable.Map<A,​B> _entries,
                              int _size)

  - ### Method Detail

    - #### empty

          public static <A,​B> FixedSizeMap<A,​B> empty​(int size)

    - #### entries

          public scala.collection.immutable.Map<A,​B> entries()

    - #### keySet

          public scala.collection.immutable.Set<A> keySet()

    - #### values

          public scala.collection.immutable.Seq<B> values()

    - #### isEmpty

          public boolean isEmpty()

    - #### nonEmpty

          public boolean nonEmpty()

    - #### size

          public int size()

    - #### maxSize

          public int maxSize()

    - #### get

          public scala.Option<B> get​(A key)

    - #### add

          public boolean add​(scala.Tuple2<A,​B> entry)

    - #### update

          public boolean update​(scala.Tuple2<A,​B> entry)

    - #### remove

          public scala.Option<B> remove​(A key)

    - #### clear

          public void clear()

    - #### resize

          public boolean resize​(int newSize)